#include <bits/stdc++.h>

using namespace std;

int main()
{
    int w, h;
    cin >> w >> h;
    char a[h][w];
    for(int i = 0;i < h ;i++)
         for(int j = 0;j < w ;j++)
         cin >> a[i][j];

    cout << -1;
    return 0;
}